#include<iostream>
#include<vector>
#include<algorithm>
#include<cmath>
using namespace std;
int main ()
{
    int n,s=0,i;
    cin>>n;
    vector<int> v(n),k(n);
    for(int i=0;i<n;i++)
    {
        cin>>v[i]>>k[i];
    }
    sort(v.begin(),v.end());
    sort(k.begin(),k.end());
    for(i=1;i<n;i++)
    {
        s=s+abs(i-v[i-1])+abs(i-k[i-1]);
    }
    cout<<s;


    return 0;
}